                                                                                                                                                                                                                        
<html>
<head>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
</head>
<script language="javascript">
	function salir() {

	//	parent.salir();
		
		}
</script>


	

<?php
 include ("../conexion.php");


date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];

		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:error.php');
		}
		if($_SESSION['tipo_usu']=='a'){
			$titulo='SUPERVISOR';
		}else{
			$titulo='USUARIO';
		}
		
		
	
       $parametros_FE = "SELECT * FROM wc_parametros_fe ";
       $result_parametros_FE = $mysqli->query($parametros_FE);
       $row__FE = $result_parametros_FE->fetch_array();
     
	   $base_url =  $row__FE["UriLocalhost"];
	   
	   
	   
	   
$consulta = "SELECT * FROM usuarios WHERE usu='$usu'";
$resultado = $mysqli->query($consulta);
$row = $resultado->fetch_array();
$nomb = $row["usu"];

$cdgusu = $row["codusu"];




$hora = date("H:i:s");
$fecha=date("Y-m-d");
$fecmen = date("Y-m-d\TH:i:sP");

$cdgmen="01"; //ACEPTADO
$cdgtipocxp="1"; //COMPRAS



 ?>


<body>

<?php



error_reporting(0);

$directorio = opendir("../FE/tiqueteElectronico/crt/comprobantes");  
while ($archivo = readdir($directorio))  { 

		$nombreArch = ucwords($archivo);     
		//$nombreArch = str_replace("..", "Selecione los archivos XML para su respectiva ACEPTACION", $nombreArch);  
		$xml="../FE/tiqueteElectronico/crt/comprobantes/".$nombreArch;
		
		$xml = simplexml_load_file($xml);
		
			$cdgclavecomp     = $xml->Clave;
			$numcomp          = $xml->NumeroConsecutivo;
			$feccomp          = $xml->FechaEmision;
			$conventa        = $xml->CondicionVenta;
			$dscnomemi        = $xml->Emisor -> Nombre;
			$numcedemi        = $xml->Emisor -> Identificacion -> Numero;
			$cedtipemi        = $xml->Emisor -> Identificacion -> Tipo;
			$dscnomrec        = $xml->Receptor -> Nombre;
			$numcedrec        = $xml->Receptor -> Identificacion ->Numero;
			$cedtiprec        = $xml->Receptor -> Identificacion ->Tipo;
			
			
		
			//$feccomp          = substr($feccomp, 0,19);  
			//$feccorcomp       = substr($feccomp, 0,10); 
		
			$totcomp      = $xml->ResumenFactura  -> TotalComprobante;
			$totalimpuesto       = $xml->ResumenFactura  -> TotalImpuesto;
			$totdes       = $xml->ResumenFactura  -> TotalDescuentos;
			$totalventa       = $xml->ResumenFactura  -> TotalVenta;	
			$totalgravado = $xml-> ResumenFactura -> TotalGravado;
			$totalexento  = $xml-> ResumenFactura -> TotalExento;
			
			
			
	$totcomp   = floatval($totcomp);
	$monimp   = floatval($monimp);
	$totdes   = floatval($totdes);
	$totalventa  = floatval($totalventa);
	$totalgravado  = floatval($totalgravado);
	$totalexento  = floatval($totalexento);
	
	$fecha     = substr($feccomp,0,10);
	$fechac     = $feccomp;
   // $fecha     = implode("-", array_reverse(explode("-", $fecha))); 
	
	
	 if ($totcomp  >0){   // si el impuesto es mayor a 0
	 




	if (empty ($numcedrec)){   // si existe el nodo
	
	$cdgcli='9999';
	$dsccli ='ESTIMADO CLIENTE';
	$cedcli = '9999';
	} 
	else {
	
			$consulta3 = "SELECT * FROM web_0301 WHERE CEDCLI = '$numcedrec'";
			
			
			$resultado3 = $mysqli->query($consulta3);
			$filas= $resultado3->num_rows;
			$fila = $resultado3->fetch_array();
			
			if ($filas>0){
			$cdgcli = $fila["CDGCLI"];
			$dsccli = $fila["DSCCLI"];
			$cedcli = $fila["CEDCLI"];
			
			
			}
			
			else {
			$cdgcli='9999';
			$dsccli ='ESTIMADO CLIENTE';
			$cedcli = '9999';
			
			}	
	}
	



$query_operacion="INSERT INTO facturas (codfactura, cdgclave, estadoComprobanteIntegracion, mensajeHacienda, numcomp, fecha, fechac, iva, cdgcli,	cedcli, cedtip, dsccli, estado, subexe, subgra, subtot, impven, destot, totalfactura, fechavencimiento, borrado, modpro, numfactura, cdgtipven, conventa, cdgven, cdgcaj, pladia, medpago, vuelto, pagacon, efectivo, depositos, cheques, tarjetas, 	dolares, tipcamdol, tipmoneda, facimp, horfac, obsfac, cdgtipexo, numdocexo, nominstexo, fecemiexo, totsergra, totserexe, 	totserexo, totmergra, totmerexe, totmerexo, totgravado, totexento, totexonerado, totventa, totdescu, totvennet, cdgimp, tarimp,	monimp, totcompro, tipdocref, clanumref, feccomref, codref, rezref, estenvio, estrechazo ) VALUES ('',$cdgclavecomp,'1','','$numcomp','$fecha','$fechac','0','$cdgcli','$cedcli','$cedtiprec','$dsccli','1','$totalexento','$totalgravado','$totalventa','$totalimpuesto','$totdes','$totcomp','0000-00-00','0','','$numcomp','$conventa','$conventa','1',10002, 0,1,0,'$totcomp','$totcomp',0,0,0,0,590,'CRC',0,'15:30:41','','','','','',0,0,0,0,100,0,0,100,0,100,0,100,'',0,0,100,'','','','','',0,0)";

	$mysqli->query($query_operacion);
	$codfactura= $mysqli-> insert_id ;	
			

				 
								 foreach($xml->DetalleServicio->LineaDetalle as $item){
					 
										 $cdgbar   = $item->CodigoComercial->Codigo;
										 $cant   = $item->Cantidad;		 
										 $dscart = $item->Detalle;
										 $numlinea = $item->NumeroLinea;
										 
										 $cdgtar   = $item->Impuesto->CodigoTarifa;
										 $tarifa   = $item->Impuesto->Tarifa;
										 $montoimp   = $item->Impuesto->Monto;
										 
										  $cdgcom   = $item->CodigoComercial->Codigo;
										  $montodec   = $item->Descuento->MontoDescuento;
										  $montodec   = $item->Descuento->NaturalezaDescuento;
										  
										   $subtotal = $item->SubTotal;
										   $totallinea = $item->MontoTotalLinea;
										   $UnidadMedida = $item->UnidadMedida;
										   
										   
										  
										
										 
										 
					 if ($montoimp>0){$artexe=1;}else {$artexe=2;}		
		
									 
$sel_insertar="INSERT INTO factulinea (codfactura, dscart, numlinea, cdgfam, cdglin, cdgtipart, cdgimp, cdgtar, tarimp, codigo, exiant, cantidad, cosart, prenivi, 	mondes, natdes, preivi, importe, subtotal, montotlin, dcto, impuesto, borrado, cdgcli, fecfac, cdgven, artexe, can_nc, unimed, cdgtipexo, numdocexo, nominstexo, fecemiexo, monimpexo, porcomexo ) VALUES ($codfactura, '$dscart','$numlinea', '001','001','4','01', '$cdgtar','$tarifa','$cdgcom', '0','$cant', '0','0', '0', '', '$subtotal', '$subtotal', '$totallinea', '$totallinea', '0', '$montoimp', 0, '$cdgcli', '$fecha', 10002, '$artexe', 0.00, '$UnidadMedida', '', '', '', '2020-07-15T15:46:43-06:00', '0', 0)";
$mysqli->query($sel_insertar);

	 
					 
								 } // frin for
			
	 }// fin $totcomp   > 0
	 
}// fin del while archivo



closedir($directorio);   

?>
<script language="javascript">


//alert("Facturas recuperadas");
//salir() ;
</script>

<?php	
?>
</div>
</body>
</html>
